Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNAFillTypes

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNAFillTypes

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNAFillTypes

extends java.lang.Object

`SNAFillTypes` class represents all fill types:

  `CM_FILL_LL`
  `CM_FILL_BUFFER`

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Field Summary
`static int` | `CM_FILL_BUFFER`
`static int` | `CM_FILL_LL`

Constructor Summary
`SNAConstants.SNAFillTypes()`

Method Summary
`static int` | `getCM_FILL_BUFFER()`
`static int` | `getCM_FILL_LL()`
`static java.lang.String` | `getFillTypeString(int fillType)` Returns the fillType as String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_FILL_LL

    public static final int CM_FILL_LL

See Also:
  Constant Field Values

### CM_FILL_BUFFER

    public static final int CM_FILL_BUFFER

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants.SNAFillTypes

    public SNAConstants.SNAFillTypes()

Method Detail

### getCM_FILL_LL

    public static final int getCM_FILL_LL()

  Returns:
    CM_FILL_LL

### getCM_FILL_BUFFER

    public static final int getCM_FILL_BUFFER()

  Returns:
    CM_FILL_BUFFER

### getFillTypeString

    public static final java.lang.String getFillTypeString(int fillType)

  Returns the fillType as String

  Parameters:
    `fillType` - The fillType in int
  Returns:
    The fillType as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.